package com.webhomecover.test;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.w3c.dom.Node;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.ParserConfigurationException;

import org.xml.sax.SAXException;

import java.io.IOException;
import java.io.File;

public class DOMParsing
{
 public static void main(String[] args)
 {
  // declare references
  Document doc = null;
  String xmlDocument = "policies.xml";
  
  // parse the input document
  try
  {
   DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
   DocumentBuilder db = dbf.newDocumentBuilder();
   doc = db.parse(new File(xmlDocument));
  }
  // catch lots of exceptions!
  catch(ParserConfigurationException e)
  {
   e.printStackTrace();
  }
  catch(SAXException e)
  {
   e.printStackTrace();
  }
  catch(IOException e)
  {
   e.printStackTrace();
  }   
  // retrieve the root element and show its name
  Element root = doc.getDocumentElement();
  String rootTagName = root.getTagName();
  System.out.println("The root element tag is <" + rootTagName + ">");
   
  // display the number of policies in the document
  NodeList l = root.getElementsByTagName("policy");
  int n = l.getLength();
  System.out.println("There are " + n + " policies");
   
  // find the company-domain node   
  NodeList domainNodes = root.getElementsByTagName("company-domain");
  Node domainNode = domainNodes.item(0);
  
  // print its content (the text node is the child of the element) 
  System.out.println("Domain: " + domainNode.getFirstChild().getNodeValue());
   
  // list the child elements of the root node
  System.out.println("The child elements for the root are:");
  NodeList nodes = root.getChildNodes();
  for(int i=0; i < nodes.getLength(); i++)
  {
   Node node = nodes.item(i);
   String nodeName = node.getNodeName();
   // any spaces or line feeds between tags will be '#text' nodes
   if(!nodeName.equals("#text"))
   {
    System.out.println(nodeName);
   }
  }
 }
}