package com.webhomecover.test;

import java.io.File;
import java.io.IOException;

import org.xml.sax.SAXException;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

import javax.xml.parsers.SAXParserFactory; 
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;

public class SAXParsing extends DefaultHandler
{
 private boolean isClaim = false;
 
 public static void main(String args[])
 {
  String xmlDocument = "policies.xml";
 // Use an instance of ourselves as the SAX event handler
  DefaultHandler handler = new SAXParsing(); 
 // Use the default (non-validating) parser
  SAXParserFactory factory = SAXParserFactory.newInstance();
  try
  {
    // parse the document 
    SAXParser saxParser = factory.newSAXParser();
    System.out.println(saxParser.isNamespaceAware());
    saxParser.parse(new File(xmlDocument), handler); 
  }
  catch(ParserConfigurationException e)
  {
    e.printStackTrace();
  }
  catch(SAXException e)
  {
    e.printStackTrace();
  }
  catch(IOException e)
  {
    e.printStackTrace();
  }
 }
 
 public void startElement(String uri, String simpleName, String qualifiedName, Attributes a)
 {
   System.out.print("<"+ qualifiedName);

   for(int i = 0; i < a.getLength(); i++)
   {
    System.out.print(" " + a.getQName(i) + "=\"" + a.getValue(i) + "\"");
   }
   System.out.print(">");
 }
 
 public void endElement(String uri, String simpleName, String qualifiedName)
 {
   System.out.println("</"+ qualifiedName + ">");
 } 

 public void characters(char[] ch, int start, int length)
 {
   String claimString = new String(ch);
   System.out.print(claimString.substring(start, start + length));
 }
}