package com.webhomecover.xml;

import java.io.File;
import java.io.OutputStream;
import java.io.FileOutputStream;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;
import javax.xml.bind.Marshaller;

public class JAXBJavatoXMLTest
{
 public static void main(String[] args) 
 {
  try
  {
   createXMLFromJava();
  }
  catch(JAXBException e)
  {
   e.printStackTrace();
  }
 } 

 public static void createXMLFromJava() throws JAXBException
 {
  ObjectFactory policiesFactory = new ObjectFactory(); 

// create objects that can be used to create each type of complex element
  Policies policies = policiesFactory.createPolicies();
  Policies.Policy policy1 = policiesFactory.createPoliciesPolicy();
  Policies.Policy.Claims claims1 = policiesFactory.createPoliciesPolicyClaims();
  Policies.Policy.Claims.Claim claim1 = policiesFactory.createPoliciesPolicyClaimsClaim();
  Policies.Policy policy2 = policiesFactory.createPoliciesPolicy();
  Policies.Policy.Claims claims2 = policiesFactory.createPoliciesPolicyClaims();
  Policies.Policy.Claims.Claim claim2 = policiesFactory.createPoliciesPolicyClaimsClaim();

// set the simple subelements of the 'policies' element
  policies.setCompanyDomain("www.webhomecover.com");
  policies.setContentsImage("contents.gif");
  policies.setBuildingsImage("buildings.gif");

// here is the first policy.
// set the attribute and the simple element
  policy1.setType("contents");
  policy1.setPolicyHolder("D. Parsons");

// now create a claim and add it to the 'claims' List
  claim1.setYear(new java.math.BigInteger("2007"));
  claim1.setDetails("Van Gogh fell inthe tumble drier");
  claims1.getClaim().add(claim1);

// now add the 'claims' element to the 'policy'
  policy1.setClaims(claims1);

// add the 'policy' element to the 'policies' list
  policies.getPolicy().add(policy1);

// now add another policy...
  policy2.setType("buildings");
  policy2.setPolicyHolder("S. Stobart");
  claim2.setYear(new java.math.BigInteger("2006"));
  claim2.setDetails("Roof blown off by tornado");
  claims2.getClaim().add(claim2);
  policy2.setClaims(claims2);
  policies.getPolicy().add(policy2);

// use the JAXB classes to write the XML document
  JAXBContext ctx = JAXBContext.newInstance(Policies.class);
  Marshaller m = ctx.createMarshaller();
  m.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
  m.marshal(policies, System.out);
  try
  {
   OutputStream os = new FileOutputStream(new File("newpolicies.xml"));
   m.marshal(policies, os);
  }
  catch(Exception e)
  {
   e.printStackTrace();
  }
 }
}
