package com.webhomecover.xml;

import java.io.File;
import java.util.Iterator;
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

public class JAXBXMLtoJavaTest
{
 public static void main(String[] args)
 {
  try
  {
   createJavaFromXML();
  }
  catch(JAXBException e)
  {
   e.printStackTrace();
  }
 } 

 public static void createJavaFromXML() throws JAXBException
 {
   JAXBContext ctx = JAXBContext.newInstance(Policies.class);
   Unmarshaller unmarshaller = ctx.createUnmarshaller();
   Policies policies = (Policies) unmarshaller.unmarshal(new File("policies.xml"));
   List<Policies.Policy> list = policies.getPolicy();
   System.out.println("Company Domain: " + policies.getCompanyDomain());
   Iterator <Policies.Policy>iter = list.iterator();
   Policies.Policy policy = null;
   while(iter.hasNext())
   {
    System.out.println("Policy Details:");
    policy = iter.next();
    System.out.println("\tPolicy Type: " + policy.getType());
    System.out.println("\tPolicy Holder: " + policy.getPolicyHolder());
    try
    {
     List<Policies.Policy.Claims.Claim> claimlist = policy.getClaims().getClaim();
     Iterator <Policies.Policy.Claims.Claim>claimiter = claimlist.iterator();
     System.out.println("\tDetails of past claims:");
     while(claimiter.hasNext())
     {
      Policies.Policy.Claims.Claim claim = claimiter.next();
      System.out.println("\t\tYear: " + claim.getYear());
      System.out.println("\t\tDetails: " + claim.getDetails());
     }
    }
    catch(NullPointerException e)
    {
     // OK - no claims for this policy...
    }
   }
  }
}
