<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xml" 
 doctype-public="-//W3C//DTD XHTML 1.1//EN" 
 doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"/>
 <xsl:template match="/">
 <html xml:lang="en">
   <head>
	 <title>Insurance Policies</title>
	</head>
	<body>
	 <h1>Claimants and policy types</h1>
	  <xsl:apply-templates select="policies/policy"/>
      <div>
       <a href="{policies/company-domain}"> Company home page </a>
      </div>
   </body>
  </html>
 </xsl:template>
 <xsl:template match="policy">
  <p class="{@type}">
   Name: <xsl:value-of select="policy-holder"/>
   <xsl:choose>
    <xsl:when test="@type='contents' ">
    <img src="{/policies/contents-image}" alt="contents image"/>
				</xsl:when>
				<xsl:otherwise>
					<img src="{/policies/buildings-image}" alt="buildings image"/>
				</xsl:otherwise>
			</xsl:choose>
		</p>
		<xsl:apply-templates select="claims"/>
	</xsl:template>
	<xsl:template match="claims">
		<table>
			<caption>Claims</caption>
			<tbody>
				<tr>
					<th>Year</th>
					<th>Details</th>
				</tr>
				<xsl:apply-templates/>
			</tbody>
		</table>
	</xsl:template>
	<xsl:template match="claim">
		<tr>
			<td>
				<xsl:value-of select="year"/>
			</td>
			<td>
				<xsl:value-of select="details"/>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
